﻿using Microsoft.Extensions.DependencyInjection;

namespace Connected.Services;

public static class ServiceCollectionExtensions
{
	public static IServiceCollection AddModalDialogService(this IServiceCollection services)
		 => services.AddScoped<ModalDialogService>();

	public static IServiceCollection AddStateManagementService(this IServiceCollection services)
		 => services.AddSingleton<StateManagerService>();
}